RPS_SRCS= 	rps_main.c \
		rps_cmd.c \
		proto_msg.c \
		icmp_pkt.c \
		rt_cost_ch.c

RTGEN_SRC=	rtgen_main.c \
		rt_cost_ch.c

RPSLIB_SRC=	rps_config.c \
		rps_net.c \
		token.c \
		router.c \
		rps_inet.c \
		netmng.c \
		bgp_proc.c \
		ospf_proc.c \
		ospf_pkt.c \
		lsdb.c \
		socket.c \
		set.c \
		cksum.c \
		rps_log.c \
		rps_time.c \
		syslib.c

HDRS=	rps.h \
	rps_token.h \
	router.h \
	rps_if.h \
	rps_bgp.h \
	netmng.h \
	lsdb.h \
	rps_ospf.h \
	ospf_type.h \
	rps_icmp.h


RPS_OBJS= 	rps_main.o \
		rps_cmd.o \
		proto_msg.o \
		icmp_pkt.o \
		rt_cost_ch.o

RTGEN_OBJS=	rtgen_main.o \
		rt_cost_ch.o

RPSLIB_OBJS=	rps_config.o \
		rps_net.o \
		token.o \
		router.o \
		rps_inet.o \
		netmng.o \
		bgp_proc.o \
		ospf_proc.o \
		ospf_pkt.o \
		lsdb.o \
		socket.o \
		set.o \
		rps_time.o \
		cksum.o \
		rps_log.o \
		syslib.o

MAKEFILE=Makefile

CPU = MC68040

CC = cc
#CFLAGS = -g -DMULTICAST
CFLAGS = -g -DBSD_SIGNALS
#CFLAGS = -g -DSUN5_5
LFLAGS = -Bstatic

LINT=lint
LINTFLAGS=


.c.o:
	@echo "Compile:		$*.c"
	@${CC}  ${CFLAGS} -c $*.c

#all::	${MAKEFILE}

all::	rps rtgen

rps:	${RPS_OBJS} ${RPSLIB_OBJS}
	@echo "Link : rps"
	@${CC} -g ${LFLAGS} ${RPS_OBJS} ${RPSLIB_OBJS} -o rps

rtgen:  ${RTGEN_OBJS} ${RPSLIB_OBJS}
	@echo "Link : rtgen"
	@${CC} -g ${LFLAGS}  ${RTGEN_OBJS} ${RPSLIB_OBJS} -o rtgen

lint::
	${LINT} ${LINTFLAGS} ${RPS_SRCS} ${RPSLIB_SRC}

clean: 
	rm -f ${RTGEN_OBJS} ${RPSLIB_OBJ} ${RPS_OBJ}

#all::	rps

rps_main.o : rps.h rps_token.h
rtgen_main.o : rps.h rps_token.h
rps_net.o :  rps.h rps_token.h netmng.h 
rps_config.o : rps.h rps_token.h router.h rps_bgp.h rps_ospf.h
router.o : rps.h rps_token.h router.h rps_bgp.h rps_ospf.h
rps_inet.o : rps.h router.h
netmng.o : rps.h netmng.h
rps_cmd.o : rps_token.h
proto_msg.o : rps.h router.h rps_bgp.h rps_ospf.h ospf_type.h lsdb.h
bgp_proc.o : rps_bgp.h
ospf_proc.o : rps.h rps_token.h router.h rps_ospf.h ospf_type.h lsdb.h 
ospf_pkt.o : rps.h rps_ospf.h ospf_type.h netmng.h router.h lsdb.h
lsdb.o : rps.h netmng.h ospf_type.h lsdb.h
rt_cost_ch.o : rps.h netmng.h  set.h
icmp_pkt.o : rps.h rps_icmp.h
socket.o : rps.h
set.o : rps.h set.h
token.o : rps_token.h
rps_time.o : rps.h
syslib.o : rps.h




